# Generated by Django 2.2.26 on 2022-02-25 10:54

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('djangoldp_hiphopcommunity', '0008_auto_20220224_2037'),
    ]

    operations = [
        migrations.CreateModel(
            name='Accountmanager',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, max_length=25, null=True, verbose_name='Nom')),
                ('picture', models.ImageField(blank=True, null=True, upload_to='', verbose_name='Photo')),
                ('title', models.CharField(blank=True, max_length=25, null=True, verbose_name='métier')),
                ('contact', models.IntegerField(blank=True, help_text='Mettre le numéro au format international, sans le "+", de type "33612345678"', null=True, verbose_name='Illustration du projet')),
            ],
            options={
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'depth': 0,
            },
        ),
        migrations.CreateModel(
            name='Expert',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, max_length=25, null=True, verbose_name='Nom')),
                ('picture', models.ImageField(blank=True, null=True, upload_to='', verbose_name='Photo')),
                ('title', models.CharField(blank=True, max_length=25, null=True, verbose_name='métier')),
                ('society', models.CharField(blank=True, max_length=50, null=True, verbose_name='société')),
                ('contact', models.IntegerField(blank=True, help_text='Mettre le numéro au format international, sans le "+", de type "33612345678"', null=True, verbose_name='Illustration du projet')),
            ],
            options={
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'depth': 0,
            },
        ),
        migrations.CreateModel(
            name='Projectmember',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('urlid', djangoldp.fields.LDPUrlField(blank=True, null=True, unique=True)),
                ('is_backlink', models.BooleanField(default=False, help_text='set automatically to indicate the Model is a backlink')),
                ('allow_create_backlink', models.BooleanField(default=True, help_text='set to False to disable backlink creation after Model save')),
                ('name', models.CharField(blank=True, max_length=50, null=True, verbose_name='nom du projet')),
                ('account', models.ManyToManyField(blank=True, max_length=50, null=True, to='djangoldp_hiphopcommunity.Accountmanager', verbose_name='Account manager')),
            ],
            options={
                'abstract': False,
                'default_permissions': ['add', 'change', 'delete', 'view', 'control'],
                'depth': 0,
                'anonymous_perms': [],
            },
        ),
        migrations.RemoveField(
            model_name='campain',
            name='user',
        ),
        migrations.RemoveField(
            model_name='tool',
            name='user',
        ),
        migrations.DeleteModel(
            name='Premium',
        ),
        migrations.AddField(
            model_name='projectmember',
            name='campain',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='djangoldp_hiphopcommunity.Campain', verbose_name='campagne du projet'),
        ),
        migrations.AddField(
            model_name='projectmember',
            name='expert',
            field=models.ManyToManyField(blank=True, max_length=50, null=True, to='djangoldp_hiphopcommunity.Expert', verbose_name="expert membre de l'équipe projet"),
        ),
        migrations.AddField(
            model_name='projectmember',
            name='tool',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='djangoldp_hiphopcommunity.Tool', verbose_name='Outils du projet'),
        ),
        migrations.AddField(
            model_name='projectmember',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='utilisateur premium'),
        ),
    ]
